package com.demez.module.impl;

import com.demez.module.Module;

import net.lax1dude.eaglercraft.v1_8.internal.KeyboardConstants;

public class FPS extends Module{

	public FPS() {
		super("FPS", KeyboardConstants.KEY_F, 12, 12);
	}
	
	@Override
	public void onRender() {
		if (this.isToggled()) {
		mc.fontRendererObj.drawString("[FPS: " + mc.getDebugFPS() + "]", getX(), getY(), 0x4F0381);
		}
		super.onRender();
	}

	@Override
	public void renderDummy(int mouseX, int mouseY) {
		mc.fontRendererObj.drawString("[FPS: " + mc.getDebugFPS() + "]", getX(), getY(), 0x4F0381);
		super.renderDummy(mouseX, mouseY);
	}
}
